Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.form.builder.services.encoders
Class FormRepresentationDecoderImpl

    java.lang.Object
      org.jbpm.form.builder.services.encoders.FormRepresentationDecoderImpl

All Implemented Interfaces:
  FormRepresentationDecoder

    public class FormRepresentationDecoderImpl

extends Object
implements FormRepresentationDecoder

Constructor Summary
`FormRepresentationDecoderImpl()`

Method Summary
`Object` | `decode(Map<String,Object> data)`
`FormRepresentation` | `decode(String code)`
`FormItemRepresentation` | `decodeItem(String json)`
`
`<T> List<T>`
` | `decodeList(com.google.gson.JsonElement json, Class<T> elemType)`
`Map<String,List<MenuItemDescription>>` | `decodeMenuItemsMap(String json)`
`
`<V> Map<String,V>`
` | `decodeStringIndexedMap(com.google.gson.JsonElement json, Class<V> valueType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormRepresentationDecoderImpl

    public FormRepresentationDecoderImpl()

Method Detail

### decode

    public Object decode(Map<String,Object> data)
                  throws FormEncodingException

  Specified by:
    `decode` in interface `FormRepresentationDecoder`
  Throws:
    `FormEncodingException`

### decodeMenuItemsMap

    public Map<String,List<MenuItemDescription>> decodeMenuItemsMap(String json)
                                                             throws FormEncodingException

  Specified by:
    `decodeMenuItemsMap` in interface `FormRepresentationDecoder`
  Throws:
    `FormEncodingException`

### decode

    public FormRepresentation decode(String code)
                              throws FormEncodingException

  Specified by:
    `decode` in interface `FormRepresentationDecoder`
  Throws:
    `FormEncodingException`

### decodeItem

    public FormItemRepresentation decodeItem(String json)
                                      throws FormEncodingException

  Specified by:
    `decodeItem` in interface `FormRepresentationDecoder`
  Throws:
    `FormEncodingException`

### decodeStringIndexedMap

    public <V> Map<String,V> decodeStringIndexedMap(com.google.gson.JsonElement json,
                                                    Class<V> valueType)
                                         throws FormEncodingException

  Throws:
    `FormEncodingException`

### decodeList

    public <T> List<T> decodeList(com.google.gson.JsonElement json,
                                  Class<T> elemType)
                       throws FormEncodingException

  Throws:
    `FormEncodingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.